Application: gvSIG desktop - gvSIG bugs #5136
Falla al importar una funcion desde un script en el evaluador de expresiones
11/11/2019 03:34 PM - Joaquin del Cerro Murciano
Description

Associated revisions

Revision 44592 - 11/15/2019 10:13 PM - Joaquin del Cerro Murciano

refs #5136, varias correcciones para que el CREATE FUNCTION pueda cargar funciones definidas en scripts externos o desde metodos estaticos de
clases java. He anadido tambien test unitarios para ello (TestCreateFunction).

History

#1 - 11/11/2019 03:37 PM - Joaquin del Cerro Murciano
- Target version set to 2.5.1-3001 (rev. org.gvsig.desktop-2.0.259)

Al parecer fallaba con un NullPointerException.

He realizado las comprobaciones antes de ustilizar el valor de "funcion()" por si devuelbe null, pero no lo he probad, r44567.

#2 - 11/15/2019 10:15 PM - Joaquin del Cerro Murciano
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

He creado test unitarios para probarlo y parece que ya funciona.
(Requiere org.gvsig.tools >= 3.0.206)

#3 - 01/21/2020 07:40 PM - Alvaro Anguix

- Status changed from Fixed to Closed
